Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter filter_nat_type : forall (return_:Type), (nat -> return_) -> nat -> return_.
Parameter plus : nat -> nat -> nat.
Parameter plus_body : nat -> nat -> nat.
Axiom axiom_plus : forall (n:nat), connectives.equal (nat -> nat) (plus n) (filter_nat_type (nat -> nat) plus_body n).
Definition eq_plus : forall (n:nat), leibniz.leibniz (nat -> nat) (plus n) (filter_nat_type (nat -> nat) plus_body n) := fun (n:nat) => ((((connectives.equal_leibniz) (nat -> nat)) (plus n)) (filter_nat_type (nat -> nat) plus_body n)) ((axiom_plus) (n)).
